/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:19:03 GMT 2022
 */

package ir.ramtung.impl1;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl1.Reference;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Reference_ESTest extends Reference_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Reference reference0 = new Reference((String) null);
      int int0 = reference0.penaltyFor(3);
      assertEquals(36000, int0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Reference reference0 = new Reference((String) null);
      int int0 = reference0.penaltyFor(0);
      assertEquals(15000, int0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Reference reference0 = null;
      try {
        reference0 = new Reference("");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Documents with empty title are not allowed
         //
         verifyException("ir.ramtung.impl1.Document", e);
      }
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      Reference reference0 = new Reference("Z0Y*");
      int int0 = reference0.penaltyFor((-38000));
      assertEquals((-265985000), int0);
  }

  @Test(timeout = 4000)
  public void test4()  throws Throwable  {
      Reference reference0 = new Reference("Z0Y*");
      int int0 = reference0.penaltyFor(5);
      assertEquals((-38000), int0);
  }

  @Test(timeout = 4000)
  public void test5()  throws Throwable  {
      Reference reference0 = new Reference("Z0Y*");
      int int0 = reference0.loanDuration();
      assertEquals(5, int0);
  }
}
